%define anolis_release 1

Name:		libftdi
Version:	1.5
Release:    %{anolis_release}%{dist}

Summary:	Library to program and control the FTDI USB controller

License:	LGPLv2
URL:		https://www.intra2net.com/en/developer/libftdi/
Source0:	https://www.intra2net.com/en/developer/%{name}/download/%{name}1-%{version}.tar.bz2

Patch0:		0001-libftdi-1.5-fix_pkgconfig_path.patch
Patch1:		0002-libftdi-1.5-no-distutils.patch

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	libconfuse-devel
BuildRequires:	libusbx-devel
BuildRequires:	make
BuildRequires:	python3-devel
BuildRequires:	swig
BuildRequires:	systemd
Requires:	    systemd

%description
A library (using libusb) to talk to FTDI's FT2232C,
FT232BM and FT245BM type chips including the popular bitbang mode.

%package devel
Summary:	Header files and static libraries for libftdi
Requires:	%{name} = %{version}-%{release}
Requires:	python3-%{name} = %{version}-%{release}
Requires:	cmake-filesystem

%description devel
Header files and static libraries for libftdi

%package -n python3-libftdi
%{?python_provide:%python_provide python3-libftdi}
Summary:	Libftdi library Python 3 binding
Requires:	%{name} = %{version}-%{release}

%description -n python3-libftdi
Libftdi Python 3 Language bindings.

%package c++
Summary:	Libftdi library C++ binding
Requires:	%{name} = %{version}-%{release}

%description c++
Libftdi library C++ language binding.

%package c++-devel
Summary:	Libftdi library C++ binding development headers and libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-c++ = %{version}-%{release}

%description c++-devel
Libftdi library C++ binding development headers and libraries
for building C++ applications with libftdi.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}1-%{version}

# switch to uaccess control
sed -i -e 's/GROUP="plugdev"/TAG+="uaccess"/g' packages/99-libftdi.rules

%build
%cmake -DSTATICLIBS=off -DFTDIPP=on -DPYTHON_BINDINGS=on -DDOCUMENTATION=off -DEXAMPLES=off
%cmake_build

%install
%cmake_install

install -D -pm 0644 packages/99-libftdi.rules %{buildroot}%{_udevrulesdir}/69-libftdi.rules

rm -f %{buildroot}%{_datadir}/doc/libftdi1/example.conf
rm -f %{buildroot}%{_datadir}/doc/libftdipp1/example.conf

%check
#make check

%generate_compatibility_deps

%files
%license COPYING.LIB
%dir %{abidir}
%{_libdir}/libftdi1.so.2*
%{abidir}/libftdi1.dump
%{_udevrulesdir}/69-libftdi.rules

%files devel
%dir %{_includedir}/libftdi1
%{_bindir}/ftdi_eeprom
%{_bindir}/libftdi1-config
%{_includedir}/libftdi1/*.h
%{_libdir}/libftdi1.so
%{_libdir}/pkgconfig/libftdi1.pc
%{_libdir}/cmake/libftdi1/

%files -n python3-libftdi
%{python3_sitearch}/*
%{abidir}/_ftdi1.dump

%files c++
%{_libdir}/libftdipp1.so.2*
%{_libdir}/libftdipp1.so.3
%{abidir}/libftdipp1.dump

%files c++-devel
%{_libdir}/libftdipp1.so
%{_includedir}/libftdi1/*.hpp
%{_libdir}/pkgconfig/libftdipp1.pc

%files doc
%doc AUTHORS ChangeLog
%doc %{_datadir}/libftdi/examples

%changelog
* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.5-1
- Init package from upstream
